from pydantic import BaseModel, Field, validator
from typing import Optional, List
from datetime import datetime
from uuid import UUID


# Base schemas with shared attributes
class BaseSchema(BaseModel):
    date_created: datetime
    date_modified: datetime

    class Config:
        from_attributes = True  # Allows conversion from SQLAlchemy models